---
apiVersion: v1
kind: Service
metadata:
  name: ws
  namespace: zhaozhiyong5
  labels:
    app: ws
spec:
  ports:
  - port: 1234
    name: foo
  clusterIP: None
  selector:
    app: ws

---
apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: ws
  namespace: zhaozhiyong5
spec:
  selector:
    matchLabels:
      app: ws # has to match .spec.template.metadata.labels
  serviceName: "ws"
  replicas: 3 # by default is 1
  template:
    metadata:
      labels:
        app: ws # has to match .spec.selector.matchLabels
    spec:
      terminationGracePeriodSeconds: 10
      containers:
      - name: ws
        image: "mirror.jd.com/ovs/centos7-minimal:latest"
        securityContext:
          privileged: true
        tty: true
        stdin: true
        command: ["sleep"]
        args: ["99999d"]
        resources:
          limits:
            cpu: 8
            memory: "16Gi"
          requests:
            cpu: 2
            memory: "8Gi"
        volumeMounts:
          - name: pv-standard
            mountPath: /data-standard
  volumeClaimTemplates:
  - metadata:
      name: pv-standard
    spec:
      accessModes: [ "ReadWriteOnce" ]
      storageClassName: "sata-standard"
      resources:
        requests:
          storage: 50G
